<% /*
    $Revision$
    $Id$

    File:           scaffolding_delete.asp
    Description:    Verwijder een record

    Parameters:

    Context:
    Note:

*/

function scaffolding_delete(model, scf_params)
{
    protectRequest.validateToken();
    var key = getQParamInt( "id" );

    var params = { };
    var xxx_array = model.REST_DELETE(params, key);

    var warning = xxx_array.warning;

    var result = { key: key,
                   warning: warning,
                   success: true
                 };
    if (!result.warning)
        result.toaster = L("lcl_scf_is_deleted").format(model.record_title);
    Response.Write(JSON.stringify(result));
}
%>
